﻿package nicocache.action 
{
    public class AbstractMultiAction 
    {
        protected var items:Array;
        protected var index:int;
        protected var item:Object;
        
        public function AbstractMultiAction(items:Array)
        {
            this.items = items;
            this.index = 0;
        }
        
        public function start():void
        {
            throw new Error("実装されていません。");
        }
        
        protected function next():Object
        {
            var obj:Object = items[index];
            index += 1;
            return obj;
        }
        
        protected function hasNext():Boolean
        {
            return index < items.length;
        }
    }
}