﻿package nicocache.controls.column
{
    import nicocache.Constant;
    import mx.core.ClassFactory;
    import mx.controls.dataGridClasses.DataGridColumn;
    import nicocache.controls.column.CustomColumn;
    import nicocache.controls.DefaultCacheItemRenderer;

    /**
     * フォルダ名カラム
     *
     */
    public class FolderNameColumn extends CustomColumn
    {
        /**
         * コンストラクタ
         *
         */
        public function FolderNameColumn()
        {
            super();
            // デフォルト値設定
            dataField        = Constant.DATAFIELD_FOLDERNAME;
            headerText       = "フォルダ名";
            width            = 150;
            resizable        = true;
            sortable         = true;
            itemRenderer     = new ClassFactory(DefaultCacheItemRenderer);
            rendererIsEditor = false;
            showDataTips     = true;
            dataTipField = Constant.DATAFIELD_FOLDERNAME
            labelFunction = sanitizedLabelFunction;
        }

    }
}
